
import 'package:flutter/material.dart';
import 'package:mvcprovider/mvcprovider.dart';

import 'my.counter.ctrl.dart';
import 'my.counter.model.dart';

class MyCounterView extends View<MyCounterModel, MyCounterCtrl> {

  @override
  Widget build(BuildContext context, [Widget child]) {
    super.build(context);

    return Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Text("Counter : ${model.count}"),
          RaisedButton(
            child: Text("Increment"),
            onPressed: ctrl.increment,
          )
        ]
    );
  }
}